ClarisWksDatabaseInternal::Field Struct Reference documentation

ClarisWksDatabaseInternal::Field Struct Reference

## Public Types
enum | Type { F_Unknown , F_Text , F_Number , F_Date , F_Time , F_Formula , F_FormulaSum , F_Checkbox , F_PopupMenu , F_RadioButton , F_ValueList , F_Multimedia }

## Public Member Functions
| Field ()
bool | isText () const
bool | isFormula () const
int | getNumDefault (int version) const

## Public Attributes
Type | m_type
int | m_defType
| the local definition type
int | m_resType
| the result type
std::string | m_name
| the field name
std::string | m_default
| the default value
std::vector< MWAWEntry > | m_valuesList
| list of different value list
std::vector< MWAWCellContent::FormulaInstruction > | m_formula
| the formula

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<<

## Member Enumeration Documentation

## ◆ Type

enum ClarisWksDatabaseInternal::Field::Type

Enumerator
F_Unknown |
F_Text |
F_Number |
F_Date |
F_Time |
F_Formula |
F_FormulaSum |
F_Checkbox |
F_PopupMenu |
F_RadioButton |
F_ValueList |
F_Multimedia |

## Constructor & Destructor Documentation

## ◆ Field()

ClarisWksDatabaseInternal::Field::Field | ( |  | ) |
| inline

Referenced by operator<<.

## Member Function Documentation

## ◆ getNumDefault()

int ClarisWksDatabaseInternal::Field::getNumDefault | ( | int | version | ) | const
| inline

## ◆ isFormula()

bool ClarisWksDatabaseInternal::Field::isFormula | ( |  | ) | const
| inline

## ◆ isText()

bool ClarisWksDatabaseInternal::Field::isText | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Field const & | field )
| friend

operator<<

## Member Data Documentation

## ◆ m_default

std::string ClarisWksDatabaseInternal::Field::m_default

the default value

Referenced by Field(), and operator<<.

## ◆ m_defType

int ClarisWksDatabaseInternal::Field::m_defType

the local definition type

Referenced by Field(), getNumDefault(), and operator<<.

## ◆ m_formula

std::vector<MWAWCellContent::FormulaInstruction> ClarisWksDatabaseInternal::Field::m_formula

the formula

Referenced by Field().

## ◆ m_name

std::string ClarisWksDatabaseInternal::Field::m_name

the field name

Referenced by Field(), and operator<<.

## ◆ m_resType

int ClarisWksDatabaseInternal::Field::m_resType

the result type

Referenced by Field(), and operator<<.

## ◆ m_type

Type ClarisWksDatabaseInternal::Field::m_type

Referenced by Field(), getNumDefault(), isFormula(), isText(), and operator<<.

## ◆ m_valuesList

std::vector<MWAWEntry> ClarisWksDatabaseInternal::Field::m_valuesList

list of different value list

Referenced by Field().

The documentation for this struct was generated from the following file:

- ClarisWksDatabase.cxx